Subject: bug#34617: 27.0.50; Can't bind a server process to all interfaces?

From: Robert Pluim <[email-masked]>
Date: Fri, 22 Feb 2019 16:39:56 +0100

Lars Ingebrigtsen <[email-masked]> writes:

> Robert Pluim <[email-masked]> writes:
>
>> You can, by listening to "::" but it depends on the underlying stack
>> whether it works or not. It works for me :-)
>
> That's a syntax I was definitely not aware of.  :-)  Is that new?
>

Itʼs the IPv6 equivalent of INADDR_ANY, itʼs been around basically
forever.

>>> So perhaps there should be a
>>>
>>>   :host 'any
>>>
>>> thing to just listen to a port on all available interfaces...
>>
>> Sure, as long as we make it error out if :family is specified, unless
>> you want
>>
>> :family 'ipv6
>> :host 'any
>>
>> to mean 'listen only on IPv6' interfaces and similarly for 'ipv4.
>
> Yeah, I think that would be logical?

I guess so, although

:family 'ipv6
:host "::"

currently results in listening on v4 as well for me here, so some work
would be required to implement it.

(why this sudden desire to listen to everything in Emacs? Are you
re-implementing gmane in elisp? ;-) )

Robert